"use strict";
import esbuild from "esbuild";
import glob from "glob";
import { rmSync } from "fs";
const args = process.argv.slice(2);
if (args.length > 0) {
  if (args[0] === "--watch") {
    console.log("Starting watch build. Listening for changes...");
    watch = true;
  }
}
rmSync("./dist", { recursive: true, force: true });
const filters = /* @__PURE__ */ new Set(["./bundler.js"]);
const files = glob.sync("./src/**/*\\.*").filter((f) => !filters.has(f));
const commonBuildOpts = {
  bundle: false,
  minify: false,
  entryPoints: files,
  loader: {
    ".ts": "ts"
  },
  tsconfig: "tsconfig.json",
  logLevel: "error",
  platform: "node"
};
try {
  await esbuild.build({
    ...commonBuildOpts,
    outdir: "dist",
    format: "esm"
  });
} catch (e) {
  console.error(e);
}
